Disable a webhook subscription

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_subscription_idstringRequired

ID of the webhook subscription. This is the same value as the webhook_subscription_id you receive in webhooks.

Headers

x-monite-versionstringRequired

Response

Successful Response
idstringformat: "uuid"

A unique URL assigned to this webhook subscription. This ID is also included in the webhook data as the webhook_subscription_id field.

event_typeslist of strings

Events included in this webhook subscription. An empty array means the subscription includes all events triggered by the specified object_type.

object_typeenum
The object type associated with this webhook subscription.
statusenum
Allowed values:
urlstringformat: "uri"1-2083 characters
URL to which the webhooks are sent. The same URL can be used by multiple webhook subscriptions.

Errors

401
Post Webhook Subscriptions ID Disable Request Unauthorized Error
422
Post Webhook Subscriptions ID Disable Request Unprocessable Entity Error
429
Post Webhook Subscriptions ID Disable Request Too Many Requests Error